<?php






/*Load Global Scripts*/
add_action('wp_enqueue_scripts', 'qcilist_pro_load_embed_scripts');

function qcilist_pro_load_embed_scripts()
{
    //FontAwesome
    wp_enqueue_style('ilist-qcld-embed-form-css', QCOPD_URL1 . '/embed/css/embed-form.css');

    //Scripts
    wp_enqueue_script('ilist-qcld-embed-form-script', QCOPD_URL1 . '/embed/js/embed-form.js', array('jquery'));

}


// Load template for embed link page url
function qcilist_pro_load_embed_link_template($template)
{
    if (is_page('embed-ilist')) {
        return dirname(__FILE__) . '/qcld-embed-link.php';
    }
    return $template;
}

add_filter('template_include', 'qcilist_pro_load_embed_link_template', 99);


// Create embed page when plugin install or activate

add_action('init', 'qcilist_pro_create_embed_page');
function qcilist_pro_create_embed_page()
{

    if (get_page_by_title('Embed iList') == NULL) {
        //post status and options
        $post = array(
            'comment_status' => 'closed',
            'ping_status' => 'closed',
            'post_author' => get_current_user_id(),
            'post_date' => date('Y-m-d H:i:s'),
            'post_status' => 'publish',
            'post_title' => 'Embed iList',
            'post_type' => 'page',
        );
        //insert page and save the id
        $embedPost = wp_insert_post($post, false);
        //save the id in the database
        update_option('hclpage', $embedPost);
    }
}

function qcilist_pro_embedoption_track(){
	$embed_link_button = ot_get_option('ilist_enable_embed_list');
	
	
	if ($embed_link_button == 'on') {
		add_action('qcsl_after_add_btn', 'qcilist_pro_qcld1_custom_embedder');
		add_action('qcsl_after_add_btn_compare', 'qcilist_pro_qcld1_custom_embedder_compare');
	}
}
add_action('init', 'qcilist_pro_embedoption_track');
function qcilist_pro_qcld1_custom_embedder($shortcodeAtts)
{
    global $post, $pagename;
	
$credit_title = ot_get_option('sl_embed_title');
$credit_link = ot_get_option('sl_embed_link');

    // if ($pagename != 'embed-ilist') {
        ?>

        <a style="float:right" class="button-link-ilist js-open-modal" href="#" data-modal-id="ilist-popup" title="Generate Embed Code"
           data-url="<?php bloginfo('url'); ?>/embed-ilist"
           data-order="<?php echo esc_html($shortcodeAtts['order']); ?>"
           data-mode="<?php echo esc_html($shortcodeAtts['mode']); ?>"
           data-column="<?php echo esc_html($shortcodeAtts['column']); ?>"
           data-style="<?php echo esc_html($shortcodeAtts['style']); ?>"
           data-search="<?php   ?>"
           data-category="<?php echo esc_html($shortcodeAtts['category']); ?>"
           data-listid="<?php echo esc_html($shortcodeAtts['list_id']); ?>"
           data-ctitle="<?php echo esc_html($credit_title); ?>"
           data-clink="<?php echo esc_html($credit_link); ?>"
           data-upvote="<?php echo esc_html($shortcodeAtts['upvote']); ?>"> 
			<?php 
				if(ot_get_option('ilist_lan_share_list')!=''){
					echo ot_get_option('ilist_lan_share_list');
				}else{
					echo __('Share List', 'qc-opd') ;
				}
			 ?>
		   <i class="fa fa-share-alt"></i></a>
			<?php add_action('wp_footer', 'qcilist_pro_foot_content'); ?>
    <?php // }
}
function qcilist_pro_foot_content(){
?>
        <div id="ilist-popup" class="modal-box">
            <header>
                <a href="#" class="js-modal-close close">×</a>
                <h3>Generate Embed Code For This List</h3>
            </header>
			 <div class="modal-body">
                <div class="iframe-css">
                    <div class="iframe-main">
                        <div class="ifram-row">
                            <div class="ifram-sm">
                                <span>Width: (in '%' or 'px')</span>
                                <input style="height: 36px;" id="igwidth" name="igwidth" type="text" value="100">
                            </div>
                            <div class="ifram-sm" style="width: 70px;">
                                <span>&nbsp;</span>
                                <select name="igsizetype" class="iframe-main-select">
									
                                    <option value="%">%</option>
									<option value="px">px</option>
                                    
                                </select>
                            </div>
                            <div class="ifram-sm">
                                <span>Height: (in 'px')</span>
                                <input style="height: 36px;" id="igheight" name="igheight" type="text" value="400">
                            </div>
                            <div class="ifram-sm">
                                <span>&nbsp;</span>
                                <a class="btn icon icon-code" id="ilist-generate-igcode"
                                   onclick="">Generate & Copy</a>
                                </select>
                            </div>
                        </div>

                        <div class="ifram-row">
							<div class="ifram-lg">
								<span class="qcld-span-label">Generated Code</span>
								<textarea id="ilist_igcode_textarea" class="ilist_igcode_textarea" name="igcode" style="width:100%; height:120px;"
										  readonly="readonly"></textarea>
								<p class="guideline">Hit "Generate & Copy" button to generate embed code. It will be copied
									to your Clipboard. You can now paste this embed code inside your website's HTML where
									you want to show the List.</p>
							</div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
<?php
}

function qcilist_pro_qcld1_custom_embedder_compare($shortcodeAtts)
{
    global $post, $pagename;
	
$credit_title = ot_get_option('sl_embed_title');
$credit_link = ot_get_option('sl_embed_link');

    if ($pagename != 'embed-ilist') {
        ?>

        <a style="float:right" class="button-link-ilist js-open-modal" href="#" data-modal-id="ilist-popup" title="Generate Embed Code"
           data-url="<?php bloginfo('url'); ?>/embed-ilist"
			data-title = "<?php echo esc_html($shortcodeAtts['title']); ?>"
			data-boxedlayout = "<?php echo esc_html($shortcodeAtts['boxed_layout']); ?>"
           data-listid1="<?php echo esc_html($shortcodeAtts['list_id1']); ?>"
           data-listid2="<?php echo esc_html($shortcodeAtts['list_id2']); ?>"
           data-style="<?php echo esc_html($shortcodeAtts['style']); ?>"
           data-ctitle="<?php echo esc_html($credit_title); ?>"
           data-clink="<?php echo esc_html($credit_link); ?>"
           data-upvote="<?php echo esc_html($shortcodeAtts['upvote']); ?>"> 
			<?php 
				if(ot_get_option('ilist_lan_share_list')!=''){
					echo ot_get_option('ilist_lan_share_list');
				}else{
					echo __('Share List', 'qc-opd') ;
				}
			 ?>
		   <i class="fa fa-share-alt"></i></a>
        <div id="ilist-popup" class="modal-box">
            <header>
                <a href="#" class="js-modal-close close">×</a>
                <h3>Generate Embed Code For This List</h3>
            </header>
			 <div class="modal-body">
                <div class="iframe-css">
                    <div class="iframe-main">
                        <div class="ifram-row">
                            <div class="ifram-sm">
                                <span>Width: (in '%' or 'px')</span>
                                <input style="height: 36px;" id="igwidth" name="igwidth" type="text" value="100">
                            </div>
                            <div class="ifram-sm" style="width: 70px;">
                                <span>&nbsp;</span>
                                <select name="igsizetype" class="iframe-main-select">
									
                                    <option value="%">%</option>
									<option value="px">px</option>
                                    
                                </select>
                            </div>
                            <div class="ifram-sm">
                                <span>Height: (in 'px')</span>
                                <input style="height: 36px;" id="igheight" name="igheight" type="text" value="400">
                            </div>
                            <div class="ifram-sm">
                                <span>&nbsp;</span>
                                <a class="btn icon icon-code" id="ilist-generate-igcode-compare"
                                   onclick="">Generate & Copy</a>
                                </select>
                            </div>
                        </div>

                        <div class="ifram-row">
							<div class="ifram-lg">
								<span class="qcld-span-label">Generated Code</span>
								<textarea id="ilist_igcode_textarea" class="ilist_igcode_textarea" name="igcode" style="width:100%; height:120px;"
										  readonly="readonly"></textarea>
								<p class="guideline">Hit "Generate & Copy" button to generate embed code. It will be copied
									to your Clipboard. You can now paste this embed code inside your website's HTML where
									you want to show the List.</p>
							</div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    <?php }
}