<?php

add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );

function qcld_ilist_remove_ot_menu () {
    //remove_submenu_page( 'themes.php', 'ot-theme-options' );
}
add_action( 'admin_init', 'qcld_ilist_remove_ot_menu' );

add_filter( 'ot_header_version_text', 'ilist_ot_version_text_custom' );

function ilist_ot_version_text_custom()
{
	$text = 'Developed by <a href="http://www.quantumcloud.com" target="_blank">Web Design Company - QuantumCloud</a>';
	
	return $text;
}

/**
 * Hook to register admin pages 
 */
add_action( 'init', 'ilist_register_options_pages' );

/**
 * Registers all the required admin pages.
 */

function ilist_register_options_pages() {

  // Only execute in admin & if OT is installed
  if ( is_admin() && function_exists( 'ot_register_settings' ) ) {

    // Register the pages
    ot_register_settings( 
      array(
        array( 
          'id'              => 'option_tree',
          'pages'           => array(
            array(
              'id'              => 'ilist_options',
              'parent_slug'     => 'edit.php?post_type=ilist',
              'page_title'      => 'Settings',
              'menu_title'      => 'Settings',
              'capability'      => 'edit_theme_options',
              'menu_slug'       => 'ilist-options-page',
              'icon_url'        => null,
              'position'        => null,
              'updated_message' => 'iList Options Updated.',
              'reset_message'   => 'iList Options Reset.',
              'button_text'     => 'Save Changes',
              'show_buttons'    => true,
              'screen_icon'     => 'options-general',
              'contextual_help' => null,
			  
    'sections'        => array( 
      array(
        'id'          => 'general',
        'title'       => __( 'General', 'theme-text-domain' )
      ),
	  	array(
        'id'          => 'language',
        'title'       => __( 'Language Settings', 'theme-text-domain' )
      ),
	  	array(
        'id'          => 'qcld_openai',
        'title'       => __( 'OpenAI', 'theme-text-domain' )
      ),
      array(
        'id'          => 'custom_css',
        'title'       => __( 'Custom CSS', 'theme-text-domain' )
      ),
      
    ),
			  
    'settings'        => array( 
      array(
		'label'       => __('Enable RTL Direction'),
		'id'          => 'sl_enable_rtl',
		'type'        => 'on-off',
		'desc'        => __('If you make this option ON, then list heading and list items will be arranged in Right-to-Left direction.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable embed List button on listing pages'),
		'id'          => 'ilist_enable_embed_list',
		'type'        => 'on-off',
		'desc'        => __('Enable embed link button to generate iFrame embed code for particular list.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Disable media buttons from ilist item Description Section'),
		'id'          => 'ilist_disable_media_buttons',
		'type'        => 'on-off',
		'desc'        => __('Disable media buttons from tiny mce editor ilist item Description Section.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Unsplash Access Key'),
		'id'          => 'sl_unsplash_api_key',
		'type'        => 'text',
		'desc'        => __('Unsplash Access Key for your project'),
		'std'         => 'DNrIoMwQi2X1OGHMdsXHh5OdTd4NENn4pRBcvfe7x0E',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Giphy Api Key'),
		'id'          => 'sl_giphy_api_key',
		'type'        => 'text',
		'desc'        => __('Giphy API Key for your project'),
		'std'         => 'SUdgEn6zFJcpk0vs5CbTNV5c4XY9YCx5',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Title for Embed option'),
		'id'          => 'sl_embed_title',
		'type'        => 'text',
		'desc'        => __('Credit title displayed in embed option.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Link for Embed option'),
		'id'          => 'sl_embed_link',
		'type'        => 'text',
		'desc'        => __('Credit link displayed in embed option.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable OpenAI Auto-generate Description'),
		'id'          => 'sl_openai_auto_generate_enable',
		'type'        => 'on-off',
		'desc'        => __('Enable OpenAI Auto-generate Description'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'qcld_openai'
	),
	array(
		'label'       => __('API KEY'),
		'id'          => 'sl_openai_api_key',
		'type'        => 'text',
		'desc'        => __('Open AI settings API KEY <a class="qcld_help_link" href="https://beta.openai.com/account/api-keys" target="_blank">Get Your Api Key</a>'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'qcld_openai'
	),
	array(
		'label'       => __( 'Engines'),
		'id'          => 'sl_openai_engines',
		'desc'        => __( '', 'text-domain' ),
		'type'        => 'select',
		'section'     => 'qcld_openai',
		'choices'     => array( 
				array(
					'value'       => '',
					'label'       => __( 'Select Engines' ),
				),
				array(
					'value'       => 'text-davinci-003',
					'label'       => __( 'Davinci ( GPT-3 )' ),
				),
				array(
					'value'       => 'text-davinci-001',
					'label'       => __( 'Davinci' ),
				),
				array(
					'value'       => 'text-ada-001',
					'label'       => __( 'Ada' ),
				),
				array(
					'value'       => 'text-curie-001',
					'label'       => __( 'Curie' ),
				),
				array(
					'value'       => 'text-babbage-001',
					'label'       => __( 'Babbag' ),
				),
			),
		'default'	=> 'yes'
		
	),
	array(
		'label'       => __('Max token'),
		'id'          => 'sl_openai_max_token',
		'type'        => 'text',
		'desc'        => __('Max token ( Min: 0, Max:4000 ) . Depending on the model'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'qcld_openai'
	),
	array(
		'label'       => __('Temperature'),
		'id'          => 'sl_openai_temperature',
		'type'        => 'numeric-slider',
		'desc'        => __('Temperature is a value between 0 and 1 that essentially lets you control how confident the model should be when making these predictions'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'min_max_step' => '0,1,0.1',
		'class'       => '',
		'section'     => 'qcld_openai'
	),
	array(
		'label'       => __('Presence Penalty'),
		'id'          => 'sl_openai_presence_penalty',
		'type'        => 'numeric-slider',
		'desc'        => __('Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model’s likelihood to talk about new topics.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'min_max_step' => '-2,2,0.1',
		'class'       => '',
		'section'     => 'qcld_openai'
	),
	array(
		'label'       => __('Frequency Penalty'),
		'id'          => 'sl_openai_frequency_penalty',
		'type'        => 'numeric-slider',
		'desc'        => __('Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model’s likelihood to repeat the same line verbatim.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'min_max_step' => '-2,2,0.1',
		'class'       => '',
		'section'     => 'qcld_openai'
	),
	array(
		'label'       => __('Share List'),
		'id'          => 'ilist_lan_share_list',
		'type'        => 'text',
		'desc'        => __('Change the language for Share List'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => 'Custom CSS',
		'id'          => 'sl_custom_style',
		'type'        => 'textarea-simple',
		'desc'        => __('Write your custom CSS here.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'custom_css'
	),
	
    )
            )
          )
        )
      )
    );

  }

}

?>